/* 
 * Copyright (C) 2001-2013 Michael Fuchs
 *
 * This file is part of herold.
 * 
 * herold is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * herold is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with herold.  If not, see <http://www.gnu.org/licenses/>.  
 */
package org.dbdoclet.format;

import java.awt.Color;

import org.dbdoclet.unit.Length;

public interface FormattedObject {

    public void setAlignment(Alignment alignment);
    public void setFontWeight(FontWeight fontWeight);
    public void setFontSize(Length value);
    public void setDisplay(Display value);
    public void setMarginTop(Length value);
    public void setMarginBottom(Length value);
    public void setMarginLeft(Length value);
    public void setMarginRight(Length value);
	public void setForeground(Color value);
	public void setFontFamily(String value);
}
